Search documentation of bb

# BB.Message.Geometry.Point3D (bb v0.8.0)

View Source

A 3D point in space.

## Fields

- `x` - X coordinate in metres
- `y` - Y coordinate in metres
- `z` - Z coordinate in metres

## Examples

    alias BB.Message.Geometry.Point3D

    {:ok, msg} = Point3D.new(:base_link, x: 0.3, y: 0.2, z: 0.1)

    # Convert to tuple for IK solvers
    point = msg.payload
    {point.x, point.y, point.z}  # => {0.3, 0.2, 0.1}

# Summary

## Types

t()

## Functions

new(frame_id, attrs)
to_tuple(point3_d)

Convert to a plain tuple for use with IK solvers.

# Types

# t()

    @type t() :: %BB.Message.Geometry.Point3D{x: float(), y: float(), z: float()}

# Functions

# new(frame_id, attrs)

    @spec new(
      atom(),
      keyword()
    ) :: {:ok, BB.Message.t()} | {:error, term()}

# to_tuple(point3_d)

    @spec to_tuple(t()) :: {float(), float(), float()}

Convert to a plain tuple for use with IK solvers.